{% extends 'base.html' %}
{% load staticfiles %}
{% block content %}

<!-- MAIN CONTENT-->
            <div class="main-content">
                <div class="section__content section__content--p30">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="overview-wrap">
                                    <!-- <h2 class="title-1">overview</h2> -->
                                    <!-- <button class="au-btn au-btn-icon au-btn--blue">
                                         <i class="zmdi zmdi-plus"></i>add item</button>-->
                                </div>
                            </div>
                        </div>
                        <!-- <div class="row m-t-25">
                            <div class="col-sm-6 col-lg-3">
                                <div class="overview-item overview-item--c1">
                                    <div class="overview__inner">
                                        <div class="overview-box clearfix">
                                            <div class="icon">
                                                <i class="zmdi zmdi-account-o"></i>
                                            </div>
                                            <div class="text">
                                                <h2>10368</h2>
                                                <span>members online</span>
                                            </div>
                                        </div>
                                        <div class="overview-chart">
                                            <canvas id="widgetChart1"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 col-lg-3">
                                <div class="overview-item overview-item--c2">
                                    <div class="overview__inner">
                                        <div class="overview-box clearfix">
                                            <div class="icon">
                                                <i class="zmdi zmdi-shopping-cart"></i>
                                            </div>
                                            <div class="text">
                                                <h2>388,688</h2>
                                                <span>items solid</span>
                                            </div>
                                        </div>
                                        <div class="overview-chart">
                                            <canvas id="widgetChart2"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 col-lg-3">
                                <div class="overview-item overview-item--c3">
                                    <div class="overview__inner">
                                        <div class="overview-box clearfix">
                                            <div class="icon">
                                                <i class="zmdi zmdi-calendar-note"></i>
                                            </div>
                                            <div class="text">
                                                <h2>1,086</h2>
                                                <span>this week</span>
                                            </div>
                                        </div>
                                        <div class="overview-chart">
                                            <canvas id="widgetChart3"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 col-lg-3">
                                <div class="overview-item overview-item--c4">
                                    <div class="overview__inner">
                                        <div class="overview-box clearfix">
                                            <div class="icon">
                                                <i class="zmdi zmdi-money"></i>
                                            </div>
                                            <div class="text">
                                                <h2>$1,060,386</h2>
                                                <span>total earnings</span>
                                            </div>
                                        </div>
                                        <div class="overview-chart">
                                            <canvas id="widgetChart4"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> -->
                        
                        <div class="row">
                            <div class="col-lg-12">
                                <h2 class="title-1 m-b-25">Books List</h2>
                                <div class="table-responsive table--no-card m-b-40">

                                    <!-- {{ data }} -->
                                    <table class="table table-borderless table-striped table-earning">
                                        <thead>
                                            <tr>
                                                <th>Sl No</th>
                                                <th>ISBN</th>
                                                <th>Title</th>
                                                <th>Authors</th>
                                                <th>Publishers</th>
                                                <th class="text-right">Price</th>
                                                <th class="text-right">Quantity</th>
                                                <th class="text-right">Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for book_obj in data %}
                                            <tr>
                                                <td>{{ book_obj.id }}</td>
                                                <td>{{ book_obj.isbn }}</td>
                                                <td>{{ book_obj.title }}</td>
                                                <td>{{ book_obj.authors }}</td>
                                                <td>{{ book_obj.publishers }}</td>
                                                <td class="text-right">{{ book_obj.price }}</td>
                                                {% if book_obj.quantity > '0' %}
                                                    <td class="text-right">{{ book_obj.quantity }}</td>
                                                {% else %}
                                                    <td class="text-right" style="color: red">Out of stock</td>
                                                {% endif %}
                                                <td class="text-right">
                                                    <a href="{% url 'edit_book' book_obj.id %}"><button type="button" class="btn btn-primary">Edit</button></a>
                                                    <!-- <a href="{% url 'edit_book' book_obj.id %}">Edit</a> -->
                                                    <a href="{% url 'delete_book' book_obj.id %}"><button type="button" class="btn btn-danger">Delete</button>
                                                    <!-- <a href="{% url 'delete_book' book_obj.id %}">Delete</a> -->

                                               </td>
                                            </tr>
                                            {% endfor %}
                                            <!-- <tr>
                                                <td>2</td>
                                                <td>100397</td>
                                                <td>Shelocks Holmes</td>
                                                <td>Larry, cruise</td>
                                                <td>Hakuna Matata</td>
                                                <td class="text-right">1000</td>
                                                <td class="text-right">10</td>
                                                <td class="text-right">
                                                    <button href="#" class="btn btn-sm btn-info btn-block">
                                                    <i class="far fa-edit"></i>
                                                    <span>Edit</span>
                                                    </button>
                                                    <button href="#" class="btn btn-sm btn-danger btn-block">
                                                    <i class="fa fa-trash" aria-hidden="true"></i>
                                                    <span>Delete</span>
                                                    </button>
                                            </td>
                                            </tr> -->
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            
                        </div>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="copyright">
                                    <p>Copyright © 2019 SpoonShot. All rights reserved...
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- END MAIN CONTENT-->

{% endblock %}